package net.t2code.t2callayduplicate.event;

import com.plotsquared.core.listener.PlayerBlockEventType;
import net.t2code.t2callayduplicate.system.Main;
import org.bukkit.Location;
import org.bukkit.entity.Player;

public class BuildCheck {
    protected static Boolean canBuild(Player player, Location location){
        if (Main.isLands()) {
            return canInteractLands(player, location);
        }
        if (Main.isPlotsquared()) {
            return !Main.getPlotSquaredIntegration().isProtected(player, PlayerBlockEventType.INTERACT_BLOCK);
        }
        return true;
    }

    private static boolean canInteractLands(Player player, org.bukkit.Location location){
        if(Main.getLandsintegrator() == null){
            return true;
        }
        return Main.getLandsintegrator().canInteract(location, player);
    }
}
